org.freedesktop.icons

## Class MimeIcon

- Object
- - org.freedesktop.icons.Icon
  - - org.freedesktop.icons.MimeIcon

-     public class MimeIcon
      extends Icon

  Named icons representing MIME types.
  Since:
    4.0.17
  Author:
    Guillaume Mazoyer, Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Icon` | `APPLICATION_CERTIFICATE`
    `static Icon` | `APPLICATION_X_EXECUTABLE`
    `static Icon` | `AUDIO_X_GENERIC`
    `static Icon` | `FONT_X_GENERIC`
    `static Icon` | `IMAGE_X_GENERIC`
    `static Icon` | `PACKAGE_X_GENERIC`
    `static Icon` | `TEXT_HTML`
    `static Icon` | `TEXT_X_GENERIC`
    `static Icon` | `TEXT_X_GENERIC_TEMPLATE`
    `static Icon` | `TEXT_X_PREVIEW`
    `static Icon` | `TEXT_X_SCRIPT`
    `static Icon` | `VIDEO_X_GENERIC`
    `static Icon` | `X_OFFICE_ADDRESS_BOOK`
    `static Icon` | `X_OFFICE_CALENDAR`
    `static Icon` | `X_OFFICE_DOCUMENT`
    `static Icon` | `X_OFFICE_DOCUMENT_TEMPLATE`
    `static Icon` | `X_OFFICE_DRAWING`
    `static Icon` | `X_OFFICE_DRAWING_TEMPLATE`
    `static Icon` | `X_OFFICE_PRESENTATION`
    `static Icon` | `X_OFFICE_PRESENTATION_TEMPLATE`
    `static Icon` | `X_OFFICE_SPREADSHEET`
    `static Icon` | `X_OFFICE_SPREADSHEET_TEMPLATE`

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### APPLICATION_CERTIFICATE

          public static final Icon APPLICATION_CERTIFICATE

    - #### APPLICATION_X_EXECUTABLE

          public static final Icon APPLICATION_X_EXECUTABLE

    - #### AUDIO_X_GENERIC

          public static final Icon AUDIO_X_GENERIC

    - #### FONT_X_GENERIC

          public static final Icon FONT_X_GENERIC

    - #### IMAGE_X_GENERIC

          public static final Icon IMAGE_X_GENERIC

    - #### PACKAGE_X_GENERIC

          public static final Icon PACKAGE_X_GENERIC

    - #### TEXT_HTML

          public static final Icon TEXT_HTML

    - #### TEXT_X_GENERIC

          public static final Icon TEXT_X_GENERIC

    - #### TEXT_X_GENERIC_TEMPLATE

          public static final Icon TEXT_X_GENERIC_TEMPLATE

    - #### TEXT_X_PREVIEW

          public static final Icon TEXT_X_PREVIEW

    - #### TEXT_X_SCRIPT

          public static final Icon TEXT_X_SCRIPT

    - #### VIDEO_X_GENERIC

          public static final Icon VIDEO_X_GENERIC

    - #### X_OFFICE_ADDRESS_BOOK

          public static final Icon X_OFFICE_ADDRESS_BOOK

    - #### X_OFFICE_CALENDAR

          public static final Icon X_OFFICE_CALENDAR

    - #### X_OFFICE_DOCUMENT

          public static final Icon X_OFFICE_DOCUMENT

    - #### X_OFFICE_DOCUMENT_TEMPLATE

          public static final Icon X_OFFICE_DOCUMENT_TEMPLATE

    - #### X_OFFICE_DRAWING

          public static final Icon X_OFFICE_DRAWING

    - #### X_OFFICE_DRAWING_TEMPLATE

          public static final Icon X_OFFICE_DRAWING_TEMPLATE

    - #### X_OFFICE_PRESENTATION

          public static final Icon X_OFFICE_PRESENTATION

    - #### X_OFFICE_PRESENTATION_TEMPLATE

          public static final Icon X_OFFICE_PRESENTATION_TEMPLATE

    - #### X_OFFICE_SPREADSHEET

          public static final Icon X_OFFICE_SPREADSHEET

    - #### X_OFFICE_SPREADSHEET_TEMPLATE

          public static final Icon X_OFFICE_SPREADSHEET_TEMPLATE